having trouble going from 3.0 to 3.1.2 on 3g 04.26.08

Discussion in 'Jailbreaks and iOS Hacks' started by dave22r, Mar 18, 2010.

  1. dave22r macrumors member

    Joined:
    Dec 19, 2008
    Location:
    Middle of nowhere, MO
    #1
    i have an ultrasn0w unlocked 3g, even before the unlock the 3.1.2 ipsw wouldn't load, hence going to 3.0. 'iphone could not be updated because the firmware file is not compatible'

    are there multiple versions of 3.1.2 or am i a ra-tard?

    also, after the update, am i going to have to re jailbrake/unlock? anything stupid i need to know?
    thanks!
     
  2. trajen macrumors 6502a

    Joined:
    Oct 2, 2008
    #2

    There are 3 different versions of 3.1.2 (one for each iPhone: Original, 3G, 3GS) for the 3G you'll need iPhone1,2_3.1.2_7D11_Restore.ipsw

    Good luck! ;)
     
  3. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #3
    Maybe you got the 3.1.2 file for a 2G or 3GS model.
    Double check.
     
  4. dave22r thread starter macrumors member

    Joined:
    Dec 19, 2008
    Location:
    Middle of nowhere, MO
    #4


    found the problem!!!!! i have iphone1,1_xxxxx i'm downloading 1,2 now.
    thanks for the quick response!!!

    one problem down, one question left: is this just a straight update and my unlock will be safe or is this going to cause any kind of problems?
     
  5. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #5
    You need to make a custom firmware using PwnageTool; if you update to 3.1.2 official you will upgrade your baseband and will lose the ability to unlock with ultrasn0w. You should definitely avoid the update, because blacksn0w (the unlock for the new baseband) causes lots of problems.
     

Share This Page